Skip to main content
PUT
/
studies
/
{studyId}
Update a study
curl --request PUT \
  --url https://api.rallyuxr.com/api/public/v1/studies/{studyId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "studyPlan": {
    "name": "<string>",
    "externalName": "<string>",
    "description": "<string>",
    "externalDescription": "<string>",
    "startDate": "2025-01-01",
    "endDate": "2025-01-02",
    "researchPlanUrl": "<string>",
    "participationLimit": 10,
    "consentFormId": "<string>",
    "incentive": {
      "incentiveBudgetId": "<string>",
      "amount": 123,
      "customIncentiveId": "<string>",
      "defaultCustomIncentiveValue": "<string>"
    },
    "includeScreener": true,
    "brandingConfigId": "<string>",
    "language": "en",
    "scheduler": {
      "interviewDurationMinutes": 60
    }
  }
}
'
{
  "studyId": "<string>",
  "studyPlan": {
    "name": "<string>",
    "externalName": "<string>",
    "description": "<string>",
    "externalDescription": "<string>",
    "startDate": "2025-01-01",
    "endDate": "2025-01-02",
    "researchPlanUrl": "<string>",
    "participationLimit": 10,
    "consentFormId": "<string>",
    "incentive": {
      "incentiveBudgetId": "<string>",
      "amount": 123,
      "customIncentiveId": "<string>",
      "defaultCustomIncentiveValue": "<string>"
    },
    "includeScreener": true,
    "brandingConfigId": "<string>",
    "language": "en",
    "scheduler": {
      "interviewDurationMinutes": 60
    }
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "createdFromTemplateId": "<string>",
  "owners": [
    {
      "userId": "<string>",
      "emailAccountId": "<string>",
      "fullname": "<string>",
      "email": "<string>"
    }
  ],
  "screener": {
    "id": "<string>",
    "workspaceId": "<string>",
    "studyId": "<string>",
    "showSchedulerToQualified": true,
    "qualifyByDefault": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "questions": [
      {
        "category": "simple",
        "name": "<string>",
        "isRequired": true,
        "id": "<string>",
        "workspaceId": "<string>",
        "description": "<string>",
        "mappedToPropertyId": "<string>",
        "questionTemplateId": "<string>"
      }
    ],
    "externalSurveyId": "<string>",
    "surveyMonkeyCollectorId": "<string>",
    "externalSurveySetupErrorCode": "<string>",
    "externalSurveySetupUpdatedAt": "2023-11-07T05:31:56Z",
    "customLinkUrl": "<string>",
    "customLinkTokensJson": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

studyId
string
required

Body

application/json
studyPlan
object
required

Study plan object

Response

The updated study

Study object including its screener

studyId
string
required
studyType
enum<string>
required

The type of study

Available options:
SURVEY,
INTERVIEWS,
UNMODERATED_TEST,
GROUP_INTERVIEW
recruitmentStrategy
enum<string>
required

The recruitment strategy for the study

Available options:
IN_RALLY,
EXTERNAL
status
enum<string>
required

The status of the study

Available options:
DRAFT,
ACTIVE,
PAUSED,
CLOSED
studyPlan
object
required

Study plan object

createdAt
string<date-time>
required
createdFromTemplateId
string | null
required

The ID of the template this study was created from, or null if not created from a template

owners
object[]
required
screener
object
required

The study's screener with all of its questions. Null when the study has no screener or the caller cannot read screeners. Not included in list responses.